﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace ExampleCsharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                Image image = Image.FromFile(openFileDialog1.FileName);
                Image newImage = image.GetThumbnailImage(180, 150, null, new IntPtr());
                textBox1.Text = openFileDialog1.FileName;
                pictureBox1.Image = newImage;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                String fileName = saveFileDialog1.FileName;
                Stream IconStream = System.IO.File.OpenWrite(fileName);

                Bitmap bitmap = new Bitmap(pictureBox1.Image);
                bitmap.SetResolution(72, 72);
                Icon icon = System.Drawing.Icon.FromHandle(bitmap.GetHicon());
                this.Icon = icon;
                icon.Save(IconStream);
            } 
        }


    }
}
